From a6aa6420640922c748b173cfeb1cf20ee1baade8 Mon Sep 17 00:00:00 2001
From: Daanturo <daanturo@gmail.com>
Date: Wed, 20 Nov 2024 14:33:02 +0000
Subject: [PATCH] Add custom option treesit-enable-outline-settings

* lisp/treesit.el: Define the variable and use it in
treesit-major-mode-setup.
---
 lisp/treesit.el | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/lisp/treesit.el b/lisp/treesit.el
index 2518204ce93..45720325f73 100644
--- a/lisp/treesit.el
+++ b/lisp/treesit.el
@@ -943,6 +943,11 @@ treesit-font-lock-level
   :set #'treesit--font-lock-level-setter
   :version "29.1")
 
+(defcustom treesit-enable-outline-settings t
+  "Non-nil means Tree sitter-based outline settings are enabled."
+  :type 'boolean
+  :version "31.1")
+
 (defvar-local treesit--font-lock-query-expand-range (cons 0 0)
   "The amount to expand the start and end of the region when fontifying.
 This should be a cons cell (START . END).  When fontifying a
@@ -3155,6 +3160,7 @@ treesit-major-mode-setup
 
   ;; Outline minor mode.
   (when (and (or treesit-outline-predicate treesit-simple-imenu-settings)
+             treesit-enable-outline-settings
              (not (seq-some #'local-variable-p
                             '(outline-search-function
                               outline-regexp outline-level))))
-- 
2.47.0

